WARNINGS = {
    "NEGATIVE_DESCRIPTION":
    u"Description is too negative",
    "NEGATIVE_TITLE":
    u"Title is too negative",
    "TITLE_MISSING":
    u"Title tag is missing or empty.",
    "TITLE_TOO_SHORT":
    u"Avoid using extremely short titles "
    u"that are unhelpful to users (less than 10 characters).",
    "TITLE_TOO_LONG": u"Avoid using extremely lengthy titles "
    u"that are unhelpful to users (more than 70 characters).",
    "TITLE_TOO_GENERIC":
    u"Avoid using default or vague titles like 'Untitled' or 'New Page 1'.",
    "TITLE_KEYWORD_STUFFED":
    u"Avoid stuffing unneeded keywords in your title tags.",
    "TITLE_DUPLICATED":
    u"Avoid using a duplicate title tag across your website.",
    "DESCRIPTION_MISSING":
    u"Description is missing.",
    "DESCRIPTION_TOO_SHORT":
    u"Description is too short (less than 140 characters). "
    u"Descriptions are important as Google may use them as page snippets.",
    "DESCRIPTION_TOO_LONG":
    u"Description is too long (more than 255 characters). "
    u"Descriptions are important as Google may use them as page snippets.",
    "DESCRIPTION_TOO_GENERIC":
    u"Description is too generic.",
    "DESCRIPTION_KEYWORD_STUFFED":
    u"Avoid keyword stuffing in the description.",
    "DESCRIPTION_DUPLICATED":
    u"Avoid using a duplicate description across your website.",
    "URL_TOO_LONG":
    u"Avoid using URLs with unnecessary parameters and IDs.",
    "URL_TOO_GENERIC":
    u"Avoid choosing generic page names like 'page1.html'.",
    "URL_KEYWORD_STUFFED":
    u"Avoid keyword stuffing in the url.",
    "URL_TOO_DEEP":
    u"Avoid having deep nesting of subdirectories (more than 3 levels deep) "
    u"like '.../dir1/dir2/dir3/dir4/dir5/dir6/page.html'.",
    "URL_NOT_CANONICAL":
    u"Only one version of a URL (Canonical URL) "
    u"should be used to reach a document",
    "URL_CAPITALIZED":
    u"Avoid using uppercase characters in the URL. "
    u"Many users expect lower-case URLs and remember them better.",
    "IMAGE_LINK_ALT_MISSING":
    u"Image link missing Alt tag.",
    "ANCHOR_TEXT_MISSING":
    u"Anchor missing title tag or text.",
    "ANCHOR_TEXT_TOO_SHORT":
    u"Anchor text too short (less than 3 characters).",
    "ANCHOR_TEXT_TOO_LONG":
    u"Avoid using lengthy links with unnecessary parameters "
    u"(more than 80 characters).",
    "ANCHOR_TEXT_TOO_GENERIC":
    u"Anchor text contains generic text.",
    "ANCHOR_HREF_TOO_LONG":
    u"Avoid using lengthy links with unnecessary parameters "
    u"(more than 100 characters).",
    "ANCHOR_HREF_EQUALS_TEXT":
    u"Avoid using the page URL as the anchor text.",
    "ANCHOR_NO_FOLLOW":
    u"Avoid passing your reputation to low ranking or non relevant websites.",
    "IMAGE_SRC_MISSING":
    u"Image missing src tag.",
    "IMAGE_SRC_TOO_LONG":
    u"Avoid using long filenames in links (more than 15 characters).",
    "IMAGE_ALT_MISSING":
    u"Image missing alt tag.",
    "IMAGE_ALT_TOO_LONG":
    u"Avoid writing excessively long alt text that could be spammy.",
    "H1_ONE_PER_PAGE":
    u"Each page should have only one h1 tag",
    "H1_TOO_SHORT":
    u"Avoid using H1 Tags that are too short (less than 3 characters).",
    "KEYWORDS_META":
    u"The Keywords Metatag should be avoided as they are a spam indicator "
    u"and no longer used by Search Engines.",
    "WORDCOUNT_TOO_SHORT":
    u"The average word count for top-ranking content is 1,140 - 1,285 words.",
    "ROBOTS.TXT":
    u"robots.txt is missing. "
    u"A 'robots.txt' file tells search engines whether they can "
    u"access, and therefore crawl parts of your site",
    "BROKEN_LINK":
    u"Avoid referencing broken links on your site.",
    "SERVER_ERROR":
    u"Avoid referencing pages that error out on your site.",
    "BLOG_MISSING":
    u"Blog was not found on this domain. "
    u"Blogging about your expertise helps build trust and relationships. "
    u"Ensure your blog exists on this domain to build your domain authority."
}
BADGES = {
    "POSITIVE_TITLE":
    u"Title has positive sentiments",
    "NEUTRAL_TITLE":
    u"Title has neutral sentiments",
    "TITLE_LENGTH":
    u"Title length is between 10 and 70 characters.",
    "TITLE_INFORMATIVE":
    u'Title is informative.',
    "TITLE_UNIQUE":
    u'This page has a unique title tag.',
    "NEUTRAL_DESCRIPTION":
    u"Description has neutral sentiments",
    "POSITIVE_DESCRIPTION":
    u"Description has positive sentiments",
    "DESCRIPTION_LENGTH":
    u'Descriptions are important as Google may use them as page snippets.',
    "DESCRIPTION_INFORMATIVE":
    u"Description is informative and helps give context to "
    u"customers trying to get to your page.",
    "URL_CANONICAL":
    u"Using canonical URLs helps avoid duplicate content.",
    "URL_CORRECTLY_CASED":
    u"URL is lowercase. Many users expect lower-case URLs and "
    u"remember them better.",
    "IMAGE_LINK_ALT":
    u"Image link contains an alt tag.",
    "ANCHOR_NO_FOLLOW":
    u"Good use of nofollow to nonrelevant websites.",
    "H1_ONE_PER_PAGE":
    u"Page contains a single H1 Heading",
    "H1_LENGTH":
    u"Page contains an H1 with a good length",
    "WORDCOUNT":
    u"You have provided great comprehensive coverage of your topic.",
    "ROBOTS.TXT":
    u"Robots.txt file detected.  Robots.txt helps search engines navigate "
    u"pages that should be indexed.",
    "BLOG_DETECTED":
    u"Blog was found on this domain. "
    u"Blogging about your expertise helps build trust and relationships."
}
